4 Replies Latest reply on Nov 1, 2003 9:09 AM by martin0

    Petstore 1.1.2 config failure

    martin0 Novice

      I'm trying to get the petstore working with JBoss 3.2.2

      I am following the instructions at http://www.stanford.edu/~mdelgado/jboss/

      It builds ok, and cloudscape runs ok, but the end application fails to connect to the database.

      The first error in the log is:
      13:07:49,474 INFO [ServiceConfigurator] Problem configuring service jboss.jca:service=LocalTxDS,name=EstoreDataSource
      org.jboss.deployment.DeploymentException: No Attribute found with name: JndiName


      However the cloudscape-service.xml file in
      %JBOSS_HOME%/server/default/deploy includes this mbean configuration


      EstoreDB


      <config-property name="ConnectionURL" type="java.lang.String">jdbc:rmi://localhost:1099/jdbc:cloudscape:EstoreDB;create=true</config-property>
      <config-property name="DriverClass" type="java.lang.String">COM.cloudscape.core.RmiJdbcDriver</config-property>
      <!-- set these only if you want only default logins, not through JAAS
      -->
      <config-property name="UserName" type="java.lang.String">estoreuser</config-property>
      <config-property name="Password" type="java.lang.String">estore</config-property>


      <!-- hack
      -->
      <depends optional-attribute-name="OldRarDeployment">jboss.jca:service=RARDeployment,name=JBoss LocalTransaction JDBC Wrapper


      Can anyone help me?
      TIA
      Martin
      PS Bought the doc on 3.2.2, but not found the answer yet.

        • 1. Re: Petstore 1.1.2 config failure
          Adrian Brock Master

          Petstore is rubbish. Try XPetstore.

          Your cloudscape deployment is incomplete, unless you
          didn't post it all.
          Also that is 3.0 configuration. In 3.2 you should use a -ds.xml
          examples can be found in docs/examples/jca
          but nobody has contributed a cloudsape version.
          You'll have to copy a different one and change it.

          Regards,
          Adrian

          • 2. Re: Petstore 1.1.2 config failure
            martin0 Novice

            Hi Adrian,

            Is use of -ds.xml mandatory or will the older config still work - I note the new format is then transformed with XSL - presumably to the older format.

            The complete config for cloudscape I am using is at
            http://www.stanford.edu/~mdelgado/jboss/cloudscape-service.xml as per the setup instructions from that site.

            Thanks for the tip on xpetstore and the jca examples. I think I'll try a cloudscape -ds.xml first, then switch to xpetstore as a fallback.

            Is there some thread/article on why xpetstore is better than petstore - I guess it could be a hot topic!

            Thanks
            Martin

            • 3. Re: Petstore 1.1.2 config failure
              Adrian Brock Master

              No the old format won't work in 3.2
              As I have said many times if something that works with 3.0 you can make it work with 3.2 by moving the managed connection factory
              mbean from the connection manager mbean to the pool mbean.
              Just use the -ds.xml it is much simpler.

              For critques of petstore use google.

              Regards,
              Adrian

              • 4. Re: Petstore 1.1.2 config failure
                martin0 Novice

                That's a shame about lack of the backwards compatibility on a dot release.

                I see the instructions for configuring xpetstore on JBoss (at xpetstore.sourceforge.net) apply to 3.0.x, so it would appear I would run into the same issues re datasource configuration.

                I appears to me, the path of least resistance is to install JBoss 3.0.8. At least xpetstore/petstore might be easy to install.

                Once it's working on 3.0, and I've got some further understanding of the system I might try again with 3.2 or maybe 4 if it's out by then.


                Martin